package storage

type TaskAttribute struct {
	Hash        string
	Name        string
	LastRun     string
	NextRun     string
	Duration    string
	IsRecurring string
	Params      string
}

// TaskStorage is the interface to implement when adding custom task storage.
type TaskStorage interface {
	Add(*TaskAttribute) error
	Fetch() ([]*TaskAttribute, error)
	Remove(*TaskAttribute) error
}
